Subject: bug#52085: 29.0.50; Frame occasionally fails to paint while screen sharing on macOS

From: Alan Third <[email-masked]>
Date: Thu, 2 Dec 2021 22:22:02 +0000

On Wed, Nov 24, 2021 at 08:12:53PM -0500, Aaron Jensen wrote:
> I still need to try this with emacs -Q, but I have seen this for some
> time now (possibly since Alan's recent batch of changes to macOS
> rendering)
> 
> If I am screen sharing on zoom, I will often issue a command that I
> expect to repaint the frame and it will not. If I issue another then it
> repaints immediately with both commands having been realized. This
> *only* happens when screen sharing with Zoom. I will try other screen
> sharing software to see if it is a Zoom specific thing. I am typically
> sharing just the Emacs window (and maybe an iTerm and a browser), but
> never full screen sharing.
> 
> Alan, is there anything that you could think of that could cause
> something like this to happen? Is there logging I could add to help get
> to the bottom of it?

Probably the first thing you could do is check that [EmacsLayer
display] is being called at the right time.

But I can't really think of any particular reason for this to happen.
-- 
Alan Third